DROP_NLINK(9)

NAME
drop_nlink - directly drop an inode's link count

SYNOPSIS

void drop_nlink(struct inode * inode);

ARGUMENTS

inode
    inode

DESCRIPTION

This is a low-level filesystem helper to replace any direct filesystem manipulation of i_nlink. In cases where we are attempting to track writes to the filesystem, a decrement to zero means an imminent write when the file is truncated and actually unlinked on the filesystem.

COPYRIGHT